<?php

namespace App\Framework\Auth;

use App\Framework\Core\AttributeMapper;

final readonly class AuthMapper implements AttributeMapper
{
    public function getAttributeClass(): string
    {
        return Auth::class;
    }

    public function map(object $reflectionTarget, object $attributeInstance): ?array
    {
        return [
            'class' => $reflectionTarget->getDeclaringClass()->getName(),
            'method' => $reflectionTarget->getName(),
        ];
    }
}
